package cn.sikey.mcdisk.service;

import cn.sikey.framework.common.pojo.CommonResult;
import cn.sikey.mcdisk.controller.app.authorizephoto.vo.*;

/**
 * @Author: nelson
 * @Date: 2025/5/30
 * @Description: 授权相册
 */
public interface AuthorizePhotoService {

    AuthorizePhotoRespVO queryOauthPhoto(OauthPhotoReqVO oauthPhotoReqVO);

    CommonResult oauthPhoto(AppOauthPhotoReqVO appOauthPhotoReqVO);

    QueryOauthPhotoByDeviceIdRespVO queryOauthPhotoByDeviceId(String deviceId);

    void notifyWatchAuthorization(NotifyWatchAuthorizationReqVO notifyWatchAuthorizationReqVO);

}
